> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Templates items



## OpenAPI

````yaml get /api/custom_templates/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/custom_templates/:
    get:
      tags:
        - custom_templates
      operationId: custom_templates_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomTemplate'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    CustomTemplate:
      type: object
      properties:
        template_id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        preview:
          type: string
          readOnly: true
        aspect_ratio:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
      required:
        - aspect_ratio
        - created_at
        - name
        - preview
        - template_id
        - updated_at
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````